Price Books

GET Get a list of price books.

GET /organizations/{organizationId}/price-books

Operation ID: getPriceBooks. Security: AmOAuth2 (sfcc.price-books, sfcc.price-books.rw).

Get a paginated list of price books for the organization.

Returns all price books with their basic metadata. Use the search endpoint for filtered queries.

Parameters

  • organizationId (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f_ecom_' followed by a 4-character realm identifier and a 3-character instance type identifier.

    Example

    f_ecom_zzxy_prd
  • limit (query, integer (int32)) Number of records to retrieve per request. Must be between 1 (minimum) and 50 (maximum). Defaults to 25.
    Default: 25. Minimum: 1. Maximum: 50.
  • offset (query, integer (int32)) Used to retrieve the results based on a particular resource offset.
    Default: 0. Minimum: 0.

Responses

  • 200 Price books retrieved successfully.

    Media type: application/json. Schema: PriceBooks.

    Example: PriceBooksListResult Successful price books list retrieval

    Example of a paginated list of price books returned by GET /price-books.

    {
      "limit": 25,
      "offset": 0,
      "total": 2,
      "data": [
        {
          "id": "USD-list-prices",
          "displayName": "USD List Prices",
          "description": "Standard list prices for USD currency",
          "currencyCode": "USD",
          "online": true,
          "creationDate": "2024-01-01T00:00:00.000Z",
          "lastModified": "2024-01-15T10:30:00.000Z"
        },
        {
          "id": "EUR-list-prices",
          "displayName": "EUR List Prices",
          "currencyCode": "EUR",
          "online": true,
          "creationDate": "2024-01-01T00:00:00.000Z",
          "lastModified": "2024-01-01T00:00:00.000Z"
        }
      ]
    }
  • 400 Bad Request. Returned when a specified parameter value is invalid.

    Media type: application/problem+json. Schema: InvalidQueryParameterErrorResponse.

    Example: InvalidQueryParameterErrorResponseExample

    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/invalid-query-parameter",
      "detail": "Invalid query parameter.",
      "title": "Invalid Query Parameter"
    }
  • 401 Your access token is invalid or expired and can’t be used to identify a user.

    Media type: application/problem+json. Schema: ErrorResponse.

    Example: UnauthorizedExample

    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized",
      "title": "Unauthorized",
      "detail": "Unauthorized request"
    }
  • 403 Forbidden. Your access token is valid, but you don’t have the required permissions to access the resource.

    Media type: application/problem+json. Schema: ErrorResponse.

    Example: ForbiddenExample

    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden",
      "title": "Forbidden",
      "detail": "Access to requested resource forbidden"
    }